summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author B. Watson2012-04-08 16:59:01 +0200
committer dsomero2012-04-08 16:59:01 +0200
commit32a785c53e73d50022eb1d5840b871c51f753648 (patch)
treeba863d3f8a5fa64d449c2025b0163bd0f4b74985 /games
parentae78605749e0b0d8d0f81217a3fe3096be988f35 (diff)
downloadslackbuilds-32a785c53e73d50022eb1d5840b871c51f753648.tar.gz
games/zdbsp: Added (node builder for Doom and related games)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/zdbsp/README5
-rw-r--r--games/zdbsp/slack-desc19
-rw-r--r--games/zdbsp/zdbsp.6100
-rw-r--r--games/zdbsp/zdbsp.SlackBuild81
-rw-r--r--games/zdbsp/zdbsp.info10
5 files changed, 215 insertions, 0 deletions
diff --git a/games/zdbsp/README b/games/zdbsp/README
new file mode 100644
index 0000000000..f950048fc3
--- /dev/null
+++ b/games/zdbsp/README
@@ -0,0 +1,5 @@
+zdbsp (node builder for Doom and related games)
+
+This is a standalone version of ZDoom's internal node builder. Its most
+important feature is that it knows about polyobjects, but it can also
+build GL nodes. It also supports UDMF.
diff --git a/games/zdbsp/slack-desc b/games/zdbsp/slack-desc
new file mode 100644
index 0000000000..93617ba1f1
--- /dev/null
+++ b/games/zdbsp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+zdbsp: zdbsp (node builder for Doom and related games)
+zdbsp:
+zdbsp: This is a standalone version of ZDoom's internal node builder. Its
+zdbsp: most important feature is that it knows about polyobjects, but it
+zdbsp: can also build GL nodes. It also supports UDMF.
+zdbsp:
+zdbsp:
+zdbsp:
+zdbsp:
+zdbsp:
+zdbsp:
diff --git a/games/zdbsp/zdbsp.6 b/games/zdbsp/zdbsp.6
new file mode 100644
index 0000000000..8ad88104dc
--- /dev/null
+++ b/games/zdbsp/zdbsp.6
@@ -0,0 +1,100 @@
+.TH ZDBSP "6" "March 2012" "SlackBuilds.org" "Games"
+.SH NAME
+ZDBSP \- nodes builder for Doom and related games
+.SH SYNOPSIS
+.B zdbsp
+[\fIoptions\fR] \fIsourcefile.wad\fR
+.SH DESCRIPTION
+.B zdbsp
+is a standalone version of ZDoom's internal node builder. Its most
+important feature is that it knows about polyobjects, but it can also
+build GL nodes if you don't want to wait for glBSP to do it. At the time
+of writing, it is also the only nodebuilder with UDMF support.
+.SH OPTIONS
+.TP
+\fB\-m\fR, \fB\-\-map\fR=\fIMAP\fR
+Only affect the specified map
+.TP
+\fB\-o\fR, \fB\-\-output\fR=\fIFILE\fR
+Write output to FILE instead of tmp.wad
+.TP
+\fB\-q\fR, \fB\-\-no\-prune\fR
+Keep unused sidedefs and sectors
+.TP
+\fB\-N\fR, \fB\-\-no\-nodes\fR
+Do not rebuild nodes
+.TP
+\fB\-g\fR, \fB\-\-gl\fR
+Build GL\-friendly nodes
+.TP
+\fB\-G\fR, \fB\-\-gl\-matching\fR
+Build GL\-friendly nodes that match normal nodes
+.TP
+\fB\-x\fR, \fB\-\-gl\-only\fR
+Only build GL\-friendly nodes
+.TP
+\fB\-5\fR, \fB\-\-gl\-v5\fR
+Create v5 GL\-friendly nodes (overriden by \fB\-z\fR and \fB\-X\fR)
+.TP
+\fB\-X\fR, \fB\-\-extended\fR
+Create extended nodes (including GL nodes, if built)
+.TP
+\fB\-z\fR, \fB\-\-compress\fR
+Compress the nodes (including GL nodes, if built)
+.TP
+\fB\-Z\fR, \fB\-\-compress\-normal\fR
+Compress normal nodes but not GL nodes
+.TP
+\fB\-b\fR, \fB\-\-empty\-blockmap\fR
+Create an empty blockmap
+.TP
+\fB\-r\fR, \fB\-\-empty\-reject\fR
+Create an empty reject table
+.TP
+\fB\-R\fR, \fB\-\-zero\-reject\fR
+Create a reject table of all zeroes
+.TP
+\fB\-E\fR, \fB\-\-no\-reject\fR
+Leave reject table untouched
+.TP
+\fB\-p\fR, \fB\-\-partition\fR=\fINNN\fR
+Maximum segs to consider at each node (default 64)
+.TP
+\fB\-s\fR, \fB\-\-split\-cost\fR=\fINNN\fR
+Cost for splitting segs (default 8)
+.TP
+\fB\-d\fR, \fB\-\-diagonal\-cost\fR=\fINNN\fR
+Cost for avoiding diagonal splitters (default 16)
+.TP
+\fB\-P\fR, \fB\-\-no\-polyobjs\fR
+Do not check for polyobject subsector splits
+.TP
+\fB\-w\fR, \fB\-\-warn\fR
+Show warning messages
+.TP
+\fB\-t\fR, \fB\-\-no\-timing\fR
+Suppress timing information
+.TP
+\fB\-V\fR, \fB\-\-version\fR
+Display version information
+.TP
+\fB\-\-help\fR
+Display this usage information
+.SH "SEE ALSO"
+\fBdoom\fR(6),
+\fBglbsp\fR(6),
+\fBzennode\fR(6),
+\fBidbsp\fR(6),
+\fBwarm\fR(6)
+.br
+.B http://zdoom.org
+.SH AUTHOR
+.B zdbsp
+was written by Randy Heit
+.P
+This man page was created by B. Watson (mostly using help2man) for the
+SlackBuilds.org project, but it may be used by anyone.
+.\" man page generated like so:
+.\" help2man -N -s 6 -n 'nodes builder for Doom and related games' \
+.\" -S SlackBuilds.org -o zdbsp.6 zdbsp
+.\" ...and edited slightly (added DESCRIPTION, AUTHOR, SEE ALSO sections)
diff --git a/games/zdbsp/zdbsp.SlackBuild b/games/zdbsp/zdbsp.SlackBuild
new file mode 100644
index 0000000000..9638aa5b75
--- /dev/null
+++ b/games/zdbsp/zdbsp.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for zdbsp
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=zdbsp
+VERSION=${VERSION:-1.17}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+unzip $CWD/$PRGNAM-$VERSION-src.zip
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ mkdir -p $PKG/usr/bin
+ install -s -m0755 $PRGNAM $PKG/usr/bin
+cd ..
+
+# man page generated from --help and description on zdoom.org
+mkdir -p $PKG/usr/man/man6
+gzip -9c < $CWD/$PRGNAM.6 > $PKG/usr/man/man6/$PRGNAM.6.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/zdbsp/zdbsp.info b/games/zdbsp/zdbsp.info
new file mode 100644
index 0000000000..30299b8deb
--- /dev/null
+++ b/games/zdbsp/zdbsp.info
@@ -0,0 +1,10 @@
+PRGNAM="zdbsp"
+VERSION="1.17"
+HOMEPAGE="http://zdoom.org/"
+DOWNLOAD="http://zdoom.org/files/utils/zdbsp-1.17-src.zip"
+MD5SUM="3868c13982eac42c9ac49a681946d5ce"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="dsomero"